Subject: Re: Multi-boot advice.

From: Ethan Benson <[email-masked]>
Date: Thu, 6 Jul 2000 23:08:51 -0800

On Fri, Jul 07, 2000 at 07:52:10AM +0100, Iain Sandoe wrote:
> 
> On Fri, Jul 7, 2000 Ethan Benson wrote:
> > On Thu, Jul 06, 2000 at 09:38:38AM +0100, Iain Sandoe wrote:
> >> Yea Hey first to Apple Drive setup (which at least these days will allow
> >> most stuff to be set up) - and then to pdisk - to check it out.
> >
> > just don't create any linux partitions with apples drive setup, it
> > won't work.  instead add up the sizes of all the planned linux
> > parittions and create a placeholder HFS partition with apple drive
> > setup, then delete it with pdisk and populate the freed space with the
> > linux and bootstrap partitions.
> 
> This is interesting.  I've seen (several times) the comment that the Apple
> Drive Setup tool doesn't work for Linux.
> 
> However, it certainly did for me (on the Lombard & on a 9600/233)... under
> what circumstances does it fail?

every time i tested it the following occured:

* drive setup crashed
* the partition tables were corrupt.

its just good policy to use the native fdisk to create an OS'es
partitions, on intel we must use DOS fdisk to create DOS/Win*
partitions and linux fdisk for linux partitions, same with OpenBSD,
FreeBSD etc.  powerpc is no different.  

-- 
Ethan Benson
http://www.alaska.net/~erbenson/